using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using WebDataHelper;
using WebDataEntities;

namespace WebFrontSample.Services
{
    public class GeoDataPointService : IGeoDataPointService
    {
        #region Private fields

        GeoDataHelper helper = new GeoDataHelper();

        #endregion

        #region IGeoDataPointService Members

        public List<GeoPoint> GetNearPointsFromString(string wkt, int distance)
        {
            return helper.GetNearPoints(wkt, distance);
        }

        public List<GeoPoint> GetNearPoints(List<GeoPoint> points, int distance)
        {
            return helper.GetNearPoints(points, distance);
        }

        #endregion
    }
}
